Bug Hunting Session
Bug 105262 - Copy image isn't working in Read-only mode
Summary: Copy image isn't working in Read-only mode
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Cut-Copy Read-Only
  Show dependency treegraph
 
Reported: 2017-01-11 18:00 UTC by Telesto
Modified: 2018-07-17 12:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (14.23 KB, application/vnd.oasis.opendocument.text)
2017-01-11 18:03 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-01-11 18:00:31 UTC
Description:
An image can't be copied in read-only mode

Steps to Reproduce:
1. Open attached
2. Check if read-only
3. Right click on an image and select copy image
4. Try to paste it in a new document

Actual Results:  
Nothing gets pasted

Expected Results:
The image should be pasted


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in:
Version: 5.4.0.0.alpha0+
Build ID: db4badfc971b9cc60809c3408f579bae04a77c34
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-10_23:25:07
Locale: nl-NL (nl_NL); Calc: CL

and in
Versie: 4.4.6.3 
Build ID: e8938fd3328e95dcf59dd64e7facd2c7d67c704d
Locale: nl_NL



User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2017-01-11 18:03:44 UTC
Created attachment 130323 [details]
Example file
Comment 2 Buovjaga 2017-01-13 19:13:26 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 57779b5f3a49fedd952aed70ddcce22f48b98ea5
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on January 13th 2016

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 QA Administrators 2018-07-02 02:34:54 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2018-07-08 17:32:14 UTC
Taking: https://gerrit.libreoffice.org/#/c/57162/
Comment 5 Commit Notification 2018-07-17 08:27:35 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=923131f8b47f7ae53b1385df213722991673bffa

tdf#105262 Clean up CopyGraphic

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.